if PACKAGE_sshmngr
choice
	prompt "Select backend for SSH management"
	default SSHMNGR_BACKEND_OPENSSH_PAM
	depends on PACKAGE_sshmngr
	help
		Select which backend daemon to use for SSH

config SSHMNGR_BACKEND_OPENSSH
	bool "Use openssh for ssh"
	help
	   Enable this option to use openssh for ssh.

config SSHMNGR_BACKEND_OPENSSH_PAM
	bool "Use openssh with PAM for ssh"
	help
	   Enable this option to use PAM for ssh.

config SSHMNGR_BACKEND_DROPBEAR
	bool "Use dropbear for ssh"
	help
	   Enable this option to use dropbear for ssh.

endchoice

config SSHMNGR_SFTP
	bool "SFTP support"
	default y
	help
	   Enable this option to support the SFTP protocol.

config SSHMNGR_SECURITY_MFA
	bool "MFA using PAM and Google authenticator"
	depends on SSHMNGR_BACKEND_OPENSSH_PAM
	default n
	help
	   Enable this option to use MFA with PAM based Google authenticator.

config SSHMNGR_VENDOR_PREFIX
	string "Package specific datamodel Vendor Prefix for TR181 extensions"
	default ""
endif
